Skip to content
Guides
OrdersAgent Read
order:read

Get an order summary for agent tools

GET/v1/agent-read/orders/{orderId}

Get an order summary for agent tools. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/agent-read/orders/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "order": {    "id": "7204558912004325301",    "number": "example",    "date": "2026-08-01T15:30:00Z",    "status": "new",    "fulfillmentStatus": "unfulfilled",    "currency": "PEN",    "total": 1,    "source": "example",    "sellerId": "7204558912004325301"  },  "subtotal": 1,  "discount": 1,  "shipping": 1,  "tax": 1,  "items": [    {      "id": "7204558912004325301",      "productId": "7204558912004325301",      "variantId": "7204558912004325301",      "name": "Example resource",      "sku": "SKU-001",      "quantity": 1,      "unitPrice": 1,      "total": 1,      "delivered": 1,      "returned": 1    }  ],  "payments": [    {      "method": "example",      "amount": 1,      "provider": "example",      "status": "pending"    }  ],  "notes": "Example note."}